Bug 46632 - [UWP] Clicking button in listview viewcell triggers both button clicked and cell ItemTapped
Summary: [UWP] Clicking button in listview viewcell triggers both button clicked and c...
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.3.2
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-11-09 11:56 UTC by rjcollingham
Modified: 2017-12-06 15:17 UTC (History)
9 users (show)

Tags: ac, listview, uwp, gestures fr
Is this bug a regression?: ---
Last known good build:


Attachments
ListPage.cs - add to shared project (1.78 KB, text/plain)
2016-11-09 11:56 UTC, rjcollingham
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description rjcollingham 2016-11-09 11:56:38 UTC
Created attachment 18393 [details]
ListPage.cs - add to shared project

Similar to #22854. Tested with the latest stable version of Forms 2.3.2.127

Steps to reproduce

1) Create a new Xamarin Forms blank project shared
2) Add ListPage.cs to shared project (see attached)
3) in App.cs change to be 

             MainPage = new ListPage();

4) Run on Android - works perfectly
5) Add breakpoints to the ItemTapped and Button_Clicked events
6) Run on UWP - both events are fired when you click the button

Thanks
Comment 1 dpedrinha 2016-11-16 00:32:01 UTC
Same problem on PCL project.
Comment 2 Pascal Empl 2016-11-16 07:23:18 UTC
Works on iOS too
Comment 3 hicham.boushaba 2017-01-02 21:55:33 UTC
I'm having the same issue, my workaround is attaching a TapGestureRecognizer to the button, this prevents the event bubbling.
Comment 4 David Ortinau [MSFT] 2017-06-19 22:16:32 UTC
Moving this issue back to confirmed to be addressed.
Comment 5 Samantha Houts [MSFT] 2017-09-26 18:04:35 UTC
https://github.com/xamarin/Xamarin.Forms/pull/1133
Comment 6 Samantha Houts [MSFT] 2017-10-20 18:25:03 UTC
Should be fixed in 2.5.0-pre2. Thank you!

https://github.com/xamarin/Xamarin.Forms/pull/1157
Comment 7 Pascal Empl 2017-12-06 15:17:50 UTC
Still have the same problem with version 2.5.0.91635